%{!?__pear: %global __pear %{_bindir}/pear}
%global pear_name  Net_IDNA2

%global with_tests 0%{!?_without_tests:1}

%global with_tests 0

Summary:         PHP library for punycode encoding and decoding
Name:            php-pear-Net-IDNA2
Version:         0.2.0
Release:    1%{?dist}
License:         LGPLv2+
URL:             http://pear.php.net/package/Net_IDNA2/
Source0:         http://download.pear.php.net/package/Net_IDNA2-%{version}.tgz
Patch0:          Net_IDNA2-php8.patch
BuildArch:       noarch
BuildRequires:   php(language) >= 5.4
BuildRequires:   php-pear(PEAR) >= 1.10.1
%if %{with_tests}
BuildRequires:   phpunit
%endif
Requires:        php(language) >= 5.4
Requires:        php-pear(PEAR) >= 1.10.1
Requires(post):  %{__pear}
Requires(postun): %{__pear}
Provides:        php-pear(%{pear_name}) = %{version}
%description
This package helps you to encode and decode punycode strings easily in
PHP.

%prep
%setup -q -c
cd %{pear_name}-%{version}
%autopatch -p1
sed -e "s/md5sum=.*name/name/" ../package.xml >%{name}.xml

%build

%install
pushd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

rm -rf %{buildroot}%{pear_metadir}/.??*

install -D -p -m 0644 %{name}.xml %{buildroot}%{pear_xmldir}/%{name}.xml

%if %{with_tests}
%check
cd %{pear_name}-%{version}%{?prever}
%{_bindir}/phpunit \
   --include-path %{buildroot}%{pear_phpdir} \
   --verbose tests
%endif

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null ||:

%postun
if [ "$1" -eq "0" ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null ||:
fi

%files
%dir %{pear_phpdir}/Net/
%{pear_phpdir}/Net/IDNA2
%{pear_phpdir}/Net/IDNA2.php
%{pear_testdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-1
- initial build
